"use strict";
const cache_factory_1 = require("./cache-factory");
const tokenizer_1 = require("./tokenizer");
const request_wrapper_1 = require("./request-wrapper");
const stream_factory_1 = require("./stream-factory");
const request_manager_1 = require("./request-manager");
const warden_1 = require("./warden");
const cacheFactory = new cache_factory_1.CacheFactory();
const tokenizer = new tokenizer_1.Tokenizer();
const requestWrapper = new request_wrapper_1.RequestWrapper();
const streamFactory = new stream_factory_1.StreamFactory(cacheFactory, requestWrapper);
const requestManager = new request_manager_1.RequestManager(streamFactory, tokenizer);
const warden = new warden_1.Warden(requestManager, requestWrapper, cacheFactory);
module.exports = warden;
//# sourceMappingURL=index.js.map